## kaccounts-providers 15.12.3

=== CMakeLists.txt ===
project(kde-account-providers)

cmake_minimum_required(VERSION 2.8.12)

set(KDE_APPLICATIONS_VERSION_MAJOR "15")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KACCOUNTS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

set(REQUIRED_QT_VERSION "5.2.0")
set(REQUIRED_KF5_VERSION "5.4.0")

find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Intltool REQUIRED)
find_package(KAccounts REQUIRED)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml)
find_package(KF5 ${REQUIRED_KF5_VERSION} REQUIRED KIO
                                                  I18n
                                                  Declarative
                                                  Package)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)
include(KDECompilerSettings)

add_subdirectory(icons)
add_subdirectory(services)
add_subdirectory(providers)
add_subdirectory(webkit-options)
add_subdirectory(plugins)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kaccounts-providers 15.08.2

=== debian/changelog ===
kaccounts-providers (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:53:44 +0100

kaccounts-providers (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:13:41 +0100

kaccounts-providers (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:05:47 +0100

kaccounts-providers (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:30:48 +0100

kaccounts-providers (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Manual merge. 
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Jun 2015 19:00:53 +0200

kaccounts-providers (15.04.0-0ubuntu1) UNRELEASED; urgency=medium

  * Initial release.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 09 Dec 2014 14:13:07 +0100

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               intltool,
               libaccounts-glib-dev,
               libkaccounts-dev (>= 4:15.07),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/kaccounts-providers.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kaccounts-providers.git

Package: kaccounts-providers
Architecture: all
Depends: signon-plugin-oauth2, ${misc:Depends}
Description: KDE providers for accounts sign-on
 Additional providers for accounts sing-on.

## kaccounts-providers 15.12.3

=== debian/changelog ===
kaccounts-providers (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:58:18 -0700

kaccounts-providers (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes. 
  * Fix changelog typo.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:26:29 +0100

kaccounts-providers (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:32:56 +0000

kaccounts-providers (15.12.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Update Build-Depends, add kio-dev, libkf5declarative-dev,
    libkf5package-dev

 -- Diane Trout <diane@ghic.org>  Wed, 06 Jan 2016 16:49:32 -0800

kaccounts-providers (15.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Diane Trout <diane@ghic.org>  Thu, 03 Dec 2015 23:03:42 -0800

kaccounts-providers (15.08.1-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Prepare initial Debian release.

  [ Diane Trout ]
  * libsignon-qt5-dev depends on libkf5coreaddons and libaccountsqt5-dev
    so we can just list it in the Build-depends
  * Update Build-Depends. No changes needed
  * Write a longer description.
  * add dh_install --list-missing to check for uninstalled files.
  * Add myself as uploader.
  * Add Homepage field.

 -- Diane Trout <diane@debian.org>  Sun, 20 Sep 2015 22:00:06 -0700

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.0.0~),
               intltool,
               kio-dev (>= 5.4.0~),
               libaccounts-glib-dev,
               libkaccounts-dev,
               libkf5declarative-dev (>= 5.4.0~),
               libkf5i18n-dev (>= 5.4.0~),
               libkf5package-dev (>= 5.4.0~),
               libsignon-qt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
               qtdeclarative5-dev (>= 5.2.0~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kaccounts-providers.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kaccounts-providers.git

Package: kaccounts-providers
Architecture: any
Depends: signon-plugin-oauth2, ${misc:Depends}, ${shlibs:Depends}
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

## kaccounts-providers 16.04.3

=== debian/changelog ===
kaccounts-providers (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:26:28 +0200

kaccounts-providers (15.12.1-1) experimental; urgency=medium

  [ Diane Trout ]
  * New upstream release.
  * Update Build-Depends, add kio-dev, libkf5declarative-dev,
    libkf5package-dev

  [ Maximiliano Curia ]
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:26 +0100

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               intltool,
               kio-dev (>= 5.24.0~),
               libaccounts-glib-dev,
               libkaccounts-dev (>= 4:16.04.3~),
               libkf5declarative-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5package-dev (>= 5.24.0~),
               libsignon-qt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers

Package: kaccounts-providers
Architecture: any
Depends: signon-plugin-oauth2, ${misc:Depends}, ${shlibs:Depends}
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

## kaccounts-providers 16.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 cmake_minimum_required(VERSION 2.8.12)
 
-set(KDE_APPLICATIONS_VERSION_MAJOR "15")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
+set(KDE_APPLICATIONS_VERSION_MAJOR "16")
+set(KDE_APPLICATIONS_VERSION_MINOR "08")
 set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KACCOUNTS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
@@ -26,7 +26,7 @@
 include(KDECMakeSettings)
 include(FeatureSummary)
 include(ECMInstallIcons)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 
 add_subdirectory(icons)
 add_subdirectory(services)

=== debian/changelog ===
kaccounts-providers (16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:54:36 +0100

kaccounts-providers (16.08.2-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 12:41:45 +0200

kaccounts-providers (16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jun 2016 14:36:02 +0200

kaccounts-providers (16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add myself to the uploaders list

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 18:39:47 +0200

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.0.0~),
               intltool,
               kio-dev (>= 5.4.0~),
               libaccounts-glib-dev,
               libkaccounts-dev,
               libkf5declarative-dev (>= 5.4.0~),
               libkf5i18n-dev (>= 5.4.0~),
               libkf5kio-dev (>= 5.4.0~),
               libkf5package-dev (>= 5.4.0~),
               libsignon-qt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
               qtdeclarative5-dev (>= 5.2.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kaccounts-providers.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kaccounts-providers.git

Package: kaccounts-providers
Architecture: any
Depends: signon-plugin-oauth2, ${misc:Depends}, ${shlibs:Depends}
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_install:
	dh_install --list-missing

## kaccounts-providers 16.12.3

=== debian/changelog ===
kaccounts-providers (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:30:08 +0000

kaccounts-providers (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:19:03 +0000

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               intltool,
               libaccounts-glib-dev,
               libkaccounts-dev (>= 4:16.12.3~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5package-dev (>= 5.31.0~),
               libsignon-qt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers

Package: kaccounts-providers
Architecture: any
Depends: signon-plugin-oauth2, ${misc:Depends}, ${shlibs:Depends}
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

## kaccounts-providers 17.04.3

=== debian/changelog ===
kaccounts-providers (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Add some qml dependencies cherry-picked from Neon
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:34:33 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.31.0~),
                intltool,
                libaccounts-glib-dev,
-               libkaccounts-dev (>= 4:16.12.3~),
+               libkaccounts-dev (>= 4:17.04.3~),
                libkf5declarative-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
@@ -24,7 +24,14 @@
 
 Package: kaccounts-providers
 Architecture: any
-Depends: signon-plugin-oauth2, ${misc:Depends}, ${shlibs:Depends}
+Depends: qml-module-qtquick-controls,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick2,
+         signon-plugin-oauth2,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: KDE providers for accounts sign-on
  Provides additional configuration files for libaccounts and
  libsignon to recognize online services such as Facebook

## kaccounts-providers 17.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 2.8.12)
 
-set(KDE_APPLICATIONS_VERSION_MAJOR "16")
+set(KDE_APPLICATIONS_VERSION_MAJOR "17")
 set(KDE_APPLICATIONS_VERSION_MINOR "08")
 set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KACCOUNTS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
@@ -35,3 +35,4 @@
 add_subdirectory(plugins)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ki18n_install(po)

=== debian/changelog ===
kaccounts-providers (4:17.08.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:26:24 +0800

kaccounts-providers (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Bump libkaccounts-dev build dependency to >= 4:17.08~.
  * Recommend libkf5purpose-bin. (Closes: #878261)

 -- Pino Toscano <pino@debian.org>  Sun, 10 Dec 2017 16:01:20 +0100

kaccounts-providers (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Drop "deprecated" list missing
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Sep 2017 19:58:59 +0200

kaccounts-providers (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:31:57 +0000

kaccounts-providers (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:25 +0000

kaccounts-providers (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:21 +0000

kaccounts-providers (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:11:34 +0000

kaccounts-providers (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:48 +0000

kaccounts-providers (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:45 +0000

kaccounts-providers (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:56:32 +0000

kaccounts-providers (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:14:48 +0000

kaccounts-providers (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:23:13 +0000

kaccounts-providers (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:52:09 +0000

kaccounts-providers (4:16.08.2-0neon) xenial; urgency=medium

  * Bump Epoch to be higher than the ubuntu version

 -- Raymond Wooninck <tittiatcoke@gmail.com>  Fri, 28 Oct 2016 18:02:38 +0200

kaccounts-providers (16.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 18 May 2016 18:12:07 +0200

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.0.0~),
               intltool,
               libaccounts-glib-dev,
               libkaccounts-dev (>= 4:17.08~),
               libkf5declarative-dev (>= 5.4.0~),
               libkf5i18n-dev (>= 5.4.0~),
               libkf5kio-dev (>= 5.4.0~),
               libkf5package-dev (>= 5.4.0~),
               libsignon-qt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
               qtdeclarative5-dev (>= 5.2.0~),
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kaccounts-providers.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kaccounts-providers.git

Package: kaccounts-providers
Architecture: any
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         signon-plugin-oauth2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5purpose-bin
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-8~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

## kaccounts-providers 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.8.12)
 
 set(KDE_APPLICATIONS_VERSION_MAJOR "17")
-set(KDE_APPLICATIONS_VERSION_MINOR "08")
+set(KDE_APPLICATIONS_VERSION_MINOR "12")
 set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KACCOUNTS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

=== debian/changelog ===
kaccounts-providers (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:23:39 +0000

kaccounts-providers (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:55:29 +0000

kaccounts-providers (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:02:14 +0000

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               intltool,
               libaccounts-glib-dev,
               libkaccounts-dev (>= 4:17.12.3~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5package-dev (>= 5.31.0~),
               libsignon-qt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers

Package: kaccounts-providers
Architecture: any
Depends: qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         signon-plugin-oauth2,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kaccounts-providers-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kaccounts-providers-([\d.]+).tar.xz

## kaccounts-providers 18.04.3

=== debian/changelog ===
kaccounts-providers (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:14:28 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.31.0~),
                intltool,
                libaccounts-glib-dev,
-               libkaccounts-dev (>= 4:17.12.3~),
+               libkaccounts-dev (>= 4:18.04.3~),
                libkf5declarative-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
@@ -16,7 +16,7 @@
                libsignon-qt5-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~)
+               qtdeclarative5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers

## kaccounts-providers 18.12.3

=== debian/changelog ===
kaccounts-providers (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:25:32 +0000

kaccounts-providers (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:12:55 +0000

kaccounts-providers (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:08:20 +0000

kaccounts-providers (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:46:59 +0000

kaccounts-providers (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Kubuntu Vcs fields.
    - Bumped build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Dec 2018 18:50:54 +0000

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               intltool,
               libaccounts-glib-dev,
               libkaccounts-dev (>= 4:18.12.3~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5package-dev (>= 5.31.0~),
               libsignon-qt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers

Package: kaccounts-providers
Architecture: any
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         signon-plugin-oauth2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5purpose-bin
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

## kaccounts-providers 19.04.3

=== debian/changelog ===
kaccounts-providers (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * Add upstream_fix_missing_include.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 11 Sep 2019 15:46:14 +0100

kaccounts-providers (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:11:10 +0100

kaccounts-providers (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:01:03 +0100

kaccounts-providers (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:55:12 +0100

kaccounts-providers (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:40:35 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.31.0~),
                intltool,
                libaccounts-glib-dev,
-               libkaccounts-dev (>= 4:18.12.3~),
+               libkaccounts-dev (>= 4:19.04.3~),
                libkf5declarative-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),

## kaccounts-providers 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 2.8.12)
 
-set(KDE_APPLICATIONS_VERSION_MAJOR "17")
+set(KDE_APPLICATIONS_VERSION_MAJOR "19")
 set(KDE_APPLICATIONS_VERSION_MINOR "12")
 set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KACCOUNTS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

=== plugins/CMakeLists.txt ===
add_subdirectory(owncloud-ui)

=== services/CMakeLists.txt ===
file(GLOB service_files_in *.service.in)
foreach(service_file_in ${service_files_in})
    kaccounts_add_service(${service_file_in})
endforeach()

=== debian/changelog ===
kaccounts-providers (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:05:37 +0000

kaccounts-providers (4:19.12.2-0ubuntu1) focal; urgency=medium

  * Drop applied upstream_fix-google-oath.patch
  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:17:04 +0000

kaccounts-providers (4:19.12.1-0ubuntu2) focal; urgency=medium

  * debian/patches: Add upstream_fix-google-oath.patch
    - Add patch requested to be applied by upstream KDE. Fixes app
      authentication to Google by correctly limiting the scope of the
      authorisation requested.

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jan 2020 07:27:35 +0000

kaccounts-providers (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:50:59 +0000

kaccounts-providers (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:44:32 +0000

kaccounts-providers (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * Drop upstream applied upstream_fix_missing_include.diff
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:29:17 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.31.0~),
                intltool,
                libaccounts-glib-dev,
-               libkaccounts-dev (>= 4:19.04.3~),
+               libkaccounts-dev (>= 4:19.12.3~),
                libkf5declarative-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),

## kaccounts-providers 20.08.1

=== debian/changelog ===
kaccounts-providers (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:49:45 +0100

kaccounts-providers (4:20.08.0-2) unstable; urgency=medium

  * Team upload.
  * Fix optional-qtwebengine.diff to make QtWebEngine really optional.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 00:44:34 +0200

kaccounts-providers (4:20.08.0-1) unstable; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * New upstream release. (Closes: #948853)
  * Switch to debhelper-compat 13.
  * Synchronise build-deps with upstream CMakeLists.txt.
  * Declare Standards-Version 4.5.0 (no changes required).

  [ Pino Toscano ]
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the patches:
    - add-include-for-newer-qt: drop, backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.4.0
    - add qtwebengine5-dev, on architectures where it is available
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Add Rules-Requires-Root: no.
  * Make QtWebEngine optional, and use it only for the plugin that need it;
    patch optional-qtwebengine.diff.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 22:16:11 +0200

kaccounts-providers (4:17.08.3-2) unstable; urgency=medium

  * Team upload.

  [ John Scott ]
  * Import upstream commit to fix FTBFS with Qt 5.13+. (Closes: #948940)

  [ Scarlett Moore ]
  * Update VCS entries to salsa.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 28 Mar 2020 16:01:11 +0100

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.4.0~),
               gettext,
               intltool,
               libaccounts-glib-dev,
               libkaccounts-dev (>= 4:20.08.1~),
               libkf5declarative-dev (>= 5.4.0~),
               libkf5i18n-dev (>= 5.4.0~),
               libkf5kio-dev (>= 5.4.0~),
               libkf5package-dev (>= 5.4.0~),
               libsignon-qt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
               qtdeclarative5-dev (>= 5.2.0~),
               qtwebengine5-dev (>= 5.2.0~) [amd64 arm64 armhf i386 mipsel],
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaccounts-providers
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kaccounts-providers.git

Package: kaccounts-providers
Architecture: any
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         signon-plugin-oauth2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5purpose-bin
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-8~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## kaccounts-providers 20.12.1

=== providers/CMakeLists.txt ===
file(GLOB provider_in_files *.provider.in)
foreach(provider_in_file ${provider_in_files})
    kaccounts_add_provider(${provider_in_file})
endforeach()

=== plugins/nextcloud-ui/CMakeLists.txt ===
add_library(nextcloud_plugin_kaccounts MODULE
    nextcloud.cpp
    nextcloudcontroller.cpp
)

target_link_libraries(nextcloud_plugin_kaccounts
                       Qt5::Core
                       Qt5::WebEngine
                       KF5::KIOCore
                       KF5::I18n
                       KF5::Declarative
                       KAccounts
)

install(TARGETS nextcloud_plugin_kaccounts
         DESTINATION ${PLUGIN_INSTALL_DIR}/kaccounts/ui
)
kpackage_install_package(package org.kde.kaccounts.nextcloud genericqml)

ecm_install_icons(
ICONS
    sc-apps-kaccounts-nextcloud.svg
DESTINATION
    ${ICON_INSTALL_DIR}
)

=== debian/changelog ===
kaccounts-providers (4:20.12.1-3) unstable; urgency=medium

  * Team upload.
  * Limit the qml-module-qtwebengine dependency only on the architectures
    where it exists.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jan 2021 16:49:46 +0100

kaccounts-providers (4:20.12.1-2) unstable; urgency=medium

  * Team upload.
  * Adapt optional-qtwebengine.diff to actually work.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jan 2021 16:06:28 +0100

kaccounts-providers (4:20.12.1-1) unstable; urgency=medium

  * New upstream release (20.12.1).
  * Refresh patch to make QtWebEngine optional.
  * Update build dependencies according to the upstream build system:
    - Qt >= 5.12
    - KF5 >= 5.70
  * Build depend on libkaccounts-dev >= 20.12 for the new
    KAccountsUiPlugin::canceled signal.
  * Add missing QML runtime dependencies.
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 14 Jan 2021 21:21:43 +0100

kaccounts-providers (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.08.3).
  * Refresh copyright information.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Refresh upstream metadata.
  * Drop l10n migration rules, not required anymore after 2 stable releases.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Nov 2020 00:21:52 +0100

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@ghic.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.70.0~),
               gettext,
               intltool,
               libaccounts-glib-dev,
               libkaccounts-dev (>= 4:20.12.0~),
               libkf5declarative-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5package-dev (>= 5.70.0~),
               libsignon-qt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
               qtwebengine5-dev (>= 5.12.0~) [amd64 arm64 armhf i386 mipsel],
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaccounts-providers
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kaccounts-providers.git

Package: kaccounts-providers
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         qml-module-qtwebengine [amd64 arm64 armhf i386 mipsel],
         signon-plugin-oauth2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5purpose-bin
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

## kaccounts-providers 20.12.3

=== debian/changelog ===
kaccounts-providers (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:16:08 +0000

kaccounts-providers (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:50:32 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                gettext,
                intltool,
                libaccounts-glib-dev,
-               libkaccounts-dev (>= 4:20.12.0~),
+               libkaccounts-dev (>= 4:20.12.3~),
                libkf5declarative-dev (>= 5.70.0~),
                libkf5i18n-dev (>= 5.70.0~),
                libkf5kio-dev (>= 5.70.0~),

## kaccounts-providers 21.04.0

=== debian/changelog ===
kaccounts-providers (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:30:42 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                gettext,
                intltool,
                libaccounts-glib-dev,
-               libkaccounts-dev (>= 4:20.12.3~),
+               libkaccounts-dev (>= 4:21.04.0~),
                libkf5declarative-dev (>= 5.70.0~),
                libkf5i18n-dev (>= 5.70.0~),
                libkf5kio-dev (>= 5.70.0~),

## kaccounts-providers 21.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(RELEASE_SERVICE_VERSION_MAJOR "21")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kde-account-providers LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})

set(QT_REQUIRED_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.70.0")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

include(FeatureSummary)

find_package(Intltool REQUIRED)
find_package(KAccounts REQUIRED)

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Qml)
find_package(Qt5WebEngine ${QT_REQUIRED_VERSION} CONFIG)
set_package_properties(Qt5WebEngine
        PROPERTIES TYPE OPTIONAL
        PURPOSE "Required for Nextcloud Accounts plugin"
        )
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED KIO I18n Declarative Package)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)

if(KF5_VERSION VERSION_GREATER_EQUAL 5.79)
    include(KDEGitCommitHooks)
endif()

add_subdirectory(services)
add_subdirectory(providers)
add_subdirectory(webkit-options)
add_subdirectory(plugins)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

if(KF5_VERSION VERSION_GREATER_EQUAL 5.79)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
kaccounts-providers (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:30:38 +0100

kaccounts-providers (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:58:48 +0100

kaccounts-providers (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:51:21 +0100

kaccounts-providers (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Drop now unnecessary optional-qtwebengine.diff

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:31:02 +0100

kaccounts-providers (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:39:36 +0100

kaccounts-providers (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:35:56 +0100

kaccounts-providers (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:02:50 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                gettext,
                intltool,
                libaccounts-glib-dev,
-               libkaccounts-dev (>= 4:21.04.0~),
+               libkaccounts-dev (>= 4:21.08.1~),
                libkf5declarative-dev (>= 5.70.0~),
                libkf5i18n-dev (>= 5.70.0~),
                libkf5kio-dev (>= 5.70.0~),

## kaccounts-providers 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.5)
 
 set(RELEASE_SERVICE_VERSION_MAJOR "21")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kde-account-providers LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})

=== debian/changelog ===
kaccounts-providers (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:07:02 +0000

kaccounts-providers (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:13:31 +0000

kaccounts-providers (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:21:25 +0000

kaccounts-providers (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:18:14 +0000

kaccounts-providers (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:02:29 +0000

kaccounts-providers (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:13:46 +0000

kaccounts-providers (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:23:11 +0000

kaccounts-providers (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:36:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kaccounts-providers
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Diane Trout <diane@ghic.org>,
 Build-Depends: cmake (>= 3.5~),
@@ -10,7 +11,7 @@
                gettext,
                intltool,
                libaccounts-glib-dev,
-               libkaccounts-dev (>= 4:21.08.1~),
+               libkaccounts-dev (>= 4:21.12.3~),
                libkf5declarative-dev (>= 5.70.0~),
                libkf5i18n-dev (>= 5.70.0~),
                libkf5kio-dev (>= 5.70.0~),
@@ -23,8 +24,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaccounts-providers
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kaccounts-providers.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers
 
 Package: kaccounts-providers
 Architecture: any
